package com.pcloud.book.cultivate.biz;

import com.pcloud.book.book.dto.AdviserBookInfoDTO;
import com.pcloud.book.cultivate.dto.CultivateNotifyDTO;
import com.pcloud.book.cultivate.dto.CultivateNotifyPageDTO;
import com.pcloud.book.cultivate.dto.SearchNotifyDTO;
import com.pcloud.book.cultivate.dto.SearchSendUserDTO;
import com.pcloud.book.cultivate.dto.SendUserDetailDto;
import com.pcloud.common.page.PageBeanNew;

import com.pcloud.book.cultivate.dto.CultivateNotifyTypeDTO;
import com.pcloud.readercenter.wechat.dto.MiniUserDto;

import java.util.List;

public interface CultivateNotifyBiz {

    void createNotify(CultivateNotifyDTO cultivateNotifyDTO);


    PageBeanNew<CultivateNotifyPageDTO> listPage4CultivateNotify(SearchNotifyDTO searchNotifyDTO);

    CultivateNotifyDTO getFirstNoReadNotify(Long wechatUserId);

    List<CultivateNotifyTypeDTO> getNotify4Type(Long wechatUserId);

    PageBeanNew<CultivateNotifyDTO> getNotifyListByType(Long wechatUserId, Integer messageType, Integer currentPage, Integer numPerPage);

    PageBeanNew<MiniUserDto> listPage4SendUser(SearchSendUserDTO searchSendUserDTO);

    PageBeanNew<AdviserBookInfoDTO> listPage4SearchBook(SearchSendUserDTO searchSendUserDTO);
}
